import java.io.*;
import java.util.*;

public class experiment_ats implements Runnable {
	public static void main(String[] args) {
		new Thread(new experiment_ats()).start();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public void solve() throws IOException {
		int n = nextInt();
		assert (1 <= n && n <= 1000);

		int m = nextInt();
		assert (Math.abs(m) <= 1000);

		if (n % 2 == 1) {
			out.print(m + " ");
			n--;
		}
		int delta = 1;
		for (int i = 0; i < n; i += 2) {
			out.print((m - delta) + " ");
			out.print((m + delta) + " ");
			delta++;
		}
	}

	public void run() {
		try {
			br = new BufferedReader(new FileReader("experiment.in"));
			out = new PrintWriter("experiment.out");

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}
